#
# spec file for package python3-blinker
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-blinker
Version:        1.4
Release:        7.1
Url:            http://discorporate.us/projects/Blinker/
Summary:        Fast, simple object-to-object and broadcast signaling
License:        MIT
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/b/blinker/blinker-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python3-devel
BuildRequires:  python3-nose
BuildRequires:  unzip
BuildArch:      noarch

%description
Blinker provides a fast dispatching system that allows any number of
interested parties to subscribe to events, or "signals".

Signal receivers can subscribe to specific senders or receive signals
sent by any sender.

%prep
%setup -q -n blinker-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
nosetests-%{py3_ver}

%files
%defattr(-,root,root,-)
%doc AUTHORS CHANGES LICENSE README.md docs/html
%{python3_sitelib}/blinker/
%{python3_sitelib}/blinker-%{version}-py%{py3_ver}.egg-info

%changelog
* Sun Aug  9 2015 arun@gmx.de
- specfile: README->README.md
- update to version 1.4:
  * Verified Python 3.4 support (no changes needed)
  * Additional bookkeeping cleanup for non-ANY connections at
    disconnect time.
  * Added Signal._cleanup_bookeeping() to prune stale bookkeeping on
    demand
* Sat Jan 10 2015 arun@gmx.de
- specfile: update copyright year
- update to version 1.3:
  * The global signal stash behind blinker.signal() is now backed by a
    regular name-to-Signal dictionary. Previously, weak references
    were held in the mapping and ephermal usage in code like
    "signal('foo').connect(...)" could have surprising program
    behavior depending on import order of modules.
  * blinker.Namespace is now built on a regular dict. Use
    blinker.WeakNamespace for the older, weak-referencing behavior.
  * Signal.connect('text-sender') uses an alterate hashing strategy to
    avoid sharp edges in text identity.
* Sat Jan 10 2015 arun@gmx.de
- specfile:
  * update copyright year
  * remove python(abi) requirement
* Thu Nov 22 2012 toddrme2178@gmail.com
- Remove openSUSE 11.4 spec file workarounds
* Wed Aug 15 2012 highwaystar.ru@gmail.com
- python3 package added
